package sun.net.www.protocol.ftp;

import java.net.Proxy;
import java.io.IOException;
import java.net.URLConnection;
import java.net.URL;
import java.net.URLStreamHandler;

public class Handler extends URLStreamHandler
{
    public Handler() {
    }
    
    @Override
    protected int getDefaultPort() {
        return 21;
    }
    
    @Override
    protected boolean equals(URL u1, URL u2) {
        String userInfo = u1.getUserInfo();
        String userInfo2 = u2.getUserInfo();
        return super.equals(u1, u2) && ((userInfo != null) ? userInfo.equals(userInfo2) : (userInfo2 == null));
    }
    
    @Override
    protected URLConnection openConnection(URL url) throws IOException {
        return this.openConnection(url, null);
    }
    
    @Override
    protected URLConnection openConnection(URL url, Proxy proxy) throws IOException {
        return new FtpURLConnection(url, proxy);
    }
}
